> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send event

> Sends an [event object](/api/customer-chat/v3.7/data-structures#events). Use this method to send a message by specifying the Message event type in the request.

The method updates the requester's `events_seen_up_to` as if they've seen all chat events.



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json post /action/send_event
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/send_event:
    post:
      tags:
        - Events
      summary: Send event
      description: >-
        Sends an [event object](/api/customer-chat/v3.7/data-structures#events).
        Use this method to send a message by specifying the Message event type
        in the request.


        The method updates the requester's `events_seen_up_to` as if they've
        seen all chat events.
      operationId: send-event
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendEventRequest'
            example:
              chat_id: PWLW03ICW7
              event:
                type: message
                text: hello world
                recipients: all
      responses:
        '200':
          description: Event sent.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendEventResponse'
              example:
                event_id: K600PKZON8
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    SendEventRequest:
      type: object
      required:
        - chat_id
        - event
      properties:
        chat_id:
          type: string
          description: The ID of the chat that you want to send a message to.
        event:
          type: object
          additionalProperties: true
          description: >-
            The [event object](/api/customer-chat/v3.7/data-structures#events).
            Does not support the `form` type event in the Text app.
        attach_to_last_thread:
          type: boolean
          default: false
          description: >-
            If set to `true`: the event will be added to the last thread for
            inactive chats. If set to `false`: the request will fail for
            inactive chats. The flag is ignored for active chats.
    SendEventResponse:
      type: object
      properties:
        event_id:
          type: string
          description: The event ID.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````